/*SDOC*************************************************************

	Module:	VCADDHelper.h

	Copyright 2005 TriTools Partners L.L.C.

	Current Version: 5.0.1
	
	Revision Date: 02/01/05
	
	Description: Helper routines for Visual CADD C/C++ API programing
	
	Notes:	All the functions in VCADDHelper.cpp are compatible
					with Visual CADD version 2.0.1.0 and above.
	
	Revision Record:

	Version			Changes & Deletions
	========		=====================================================
	5.0.1				Added to the SDK

*********************compatible****************************************EDOC*/
#if !defined(VCADDHELPER_H_INCLUDED)
#define VCADDHELPER_H_INCLUDED

// include the Visual CADD header files 
// the path to these files needs to be added the projects "Additional Include Directories"
// if these files are not in the projects local folder
 
// VCTypes32.h needed to be included before any of the other headers.
#include "VCType32.h"
#include "VCMain32.h"
#include "VCDlg32.h"
#include "VCTool32.h"
#include "VCTran32.h"

// use this macro to circumvent Compiler Warning (level 4) C4100 : unreferenced formal parameter warnings
#define UNUSED_PARAMETER(x) x

BOOL LoadVCADDDLLS(short* iError, BYTE bMajorVersion, BYTE bMinorVersion, BYTE bMinorDotVersion, BYTE bMinorInternalVersion);
BOOL FreeVCADDDLLS(short* iError);

HMODULE GethInstVCMAIN32(void);
HMODULE GethInstVCTOOL32(void);
HMODULE GethInstVCDLG32(void);
HMODULE GethInstVCTRAN32(void);

BOOL MinimumVCADDVersionCheck(BYTE bMajorVersion, BYTE bMinorVersion, BYTE bMinorDotVersion, BYTE bMinorInternalVersion);

#endif //VCADDHELPER_H_INCLUDED

