/*SDOC*************************************************************

  Module:	VCTran32.cpp

  Copyright (C) 2011 Gold Run Partners, Inc.  All rights reserved.

  Description:	VCTran32.dll exports
  
								See VCTran32.h for Revision Record:

*************************************************************EDOC*/

#include "stdafx.h"

#include "VCType32.h"
#include "VCTran32.h"
#include "VCUtil32.h"

#ifdef VCLINK_STATIC
	#define hInstVCTRAN32 theApp.GetVCTRAN32()
#else
	extern HMODULE hInstVCTRAN32;
#endif

void WINAPI VCAcadBlockRead(char* pName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadBlockRead", pName);
}

void WINAPI VCAcadRead(char* pN)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadRead", pN);
}

void WINAPI VCAcadReadNoPaint(char* pNameStart)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadReadNoPaint", pNameStart);
}

void WINAPI VCAcadReadWith3D(char* pName)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadReadWith3D", pName);
}

void WINAPI VCAcadWriteDWG(char* pN)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadWriteDWG", pN);
}

void WINAPI VCAcadWriteDXF(char* pN)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCAcadWriteDXF", pN);
}

void WINAPI VCLoadDrawing(short* iError, char* pName, short iFileType)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCLoadDrawing", iError, pName, iFileType);
}

void WINAPI VCMergeDrawing(short* iError, char* pName, short iFileType)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCMergeDrawing", iError, pName, iFileType);
}

void WINAPI VCMergeDrawingNoPaint(short* iError, char* pInputName, short iFileType)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCMergeDrawingNoPaint", iError, pInputName, iFileType);
}

void WINAPI VCSaveDrawing(short* iError, char* pName, short iFileType, vbool tfSaveSelected)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCSaveDrawing", iError, pName, iFileType, tfSaveSelected);
}

void WINAPI VCWriteMetafile(char* pName, short iFileType, vbool tfSelectedOnly)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCWriteMetafile", pName, iFileType, tfSelectedOnly);
}

void WINAPI VCPlaceMetafileOnClipboard(short* iError, vbool tfSelectedOnly)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCPlaceMetafileOnClipboard", iError, tfSelectedOnly);
}

void WINAPI VCSaveAll(short* iError)
{
	static FARPROC fp = NULL;
	voidFunction(&fp, hInstVCTRAN32, "VCSaveAll", iError);
}

BOOL WINAPI VCGetCursorPos(POINT* pPoint)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCGetCursorPos", pPoint);
}

DWORD WINAPI VCGetIniString(char* szString, DWORD iSize, char* szFile, char* szSection, char* szKey)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetIniString", szString, iSize, szFile, szSection, szKey);
}

DWORD WINAPI VCGetIniKeyNames(char* szString, DWORD iSize, char* szFile, char* szSection)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetIniKeyNames", szString, iSize, szFile, szSection);
}

DWORD WINAPI VCGetIniSectionNames(char* szString, DWORD iSize, char* szFile)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetIniSectionNames", szString, iSize, szFile);
}

BOOL WINAPI VCWriteIniString(char* szString, char* szFile, char* szSection, char* szKey)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCWriteIniString", szString, szFile, szSection, szKey);
}

DWORD WINAPI VCGetVcaddIniString(char* szString, DWORD iSize, char* szSection, char* szKey)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetVcaddIniString", szString, iSize, szSection, szKey);
}

DWORD WINAPI VCGetVcaddIniKeyNames(char* szString, DWORD iSize, char* szSection)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetVcaddIniKeyNames", szString, iSize, szSection);
}

DWORD WINAPI VCGetVcaddIniSectionNames(char* szString, DWORD iSize)
{
	static FARPROC fp = NULL;
	return UINTFunction(&fp, hInstVCTRAN32, "VCGetVcaddIniSectionNames", szString, iSize);
}

BOOL WINAPI VCWriteVcaddIniString(char* szString, char* szSection, char* szKey)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCWriteVcaddIniString", szString, szSection, szKey);
}

BOOL WINAPI VCOnKeyDown(HWND hWnd, UINT nChar, UINT nRepCnt, UINT nFlags)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnKeyDown", hWnd, nChar, nRepCnt, nFlags);
}

BOOL WINAPI VCOnChar(HWND hWnd, UINT nChar, UINT nRepCnt, UINT nFlags)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnChar", hWnd, nChar, nRepCnt, nFlags);
}

BOOL WINAPI VCOnLButtonDown(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnLButtonDown", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnLButtonDblClk(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnLButtonDblClk", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnLButtonUp(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnLButtonUp", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnMButtonDown(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnMButtonDown", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnMButtonUp(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnMButtonUp", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnRButtonDown(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnRButtonDown", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnRButtonUp(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnRButtonUp", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnXButtonDown(WPARAM wParam , LPARAM lParam)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnXButtonDown", wParam , lParam);
}

BOOL WINAPI VCOnMouseMove(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnMouseMove", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnNcMouseMove(HWND hWnd, UINT nFlags, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnNcMouseMove", hWnd, nFlags, x, y);
}

BOOL WINAPI VCOnMouseWheel(HWND hWnd, UINT nFlags, short iDelta, long x, long y)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnMouseWheel", hWnd, nFlags, iDelta, x, y);
}

BOOL WINAPI VCOnPreTranslateMessage(MSG* pMsg)
{
	static FARPROC fp = NULL;
	return intFunction(&fp, hInstVCTRAN32, "VCOnPreTranslateMessage", pMsg);
}

