/*SDOC*************************************************************

  Module:	VCUtil32.h

  Copyright (C) 2011 Gold Run Partners, Inc.  All rights reserved.
  
  Description: Generic Wrapper Functions
  
		Function name: 'type'Function means returns a 'type'
		
		Parameters:
			HMODULE hMod - DLL module handle with function
			const char* szFunction - function name
			remainder of parameters - overloaded for possible combinations
	
	Revision Record:

	Version			Changes & Deletions
	========		=====================================================
	

*************************************************************EDOC*/

BYTE WINAPI BYTEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
BYTE WINAPI BYTEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE v3);
BYTE WINAPI BYTEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
COLORREF WINAPI ColorFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
COLORREF WINAPI ColorFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, COLORREF v3);
COLORREF WINAPI ColorFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, UINT v2, UINT v3);
double WINAPI doubleFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
double WINAPI doubleFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2);
double WINAPI doubleFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
float WINAPI floatFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
float WINAPI floatFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
HANDLE WINAPI HANDLEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, char* v2, DWORD v3);
HINSTANCE WINAPI HINSTANCEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
HINSTANCE WINAPI HINSTANCEFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1);
HMENU WINAPI HMENUFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
HMENU WINAPI HMENUFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1);
HMENU WINAPI HMENUFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HMENU v2);
HWND WINAPI HWNDFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
HWND WINAPI HWNDFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1);
HWND WINAPI HWNDFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2, char* v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2, char* v3, char* v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2, char* v3, int v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, HWND v1, UINT v2, long v3, long v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, HWND v1, UINT v2, short v3, long v4, long v5);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, HWND v1, UINT v2, UINT v3, UINT v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, MSG* v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, POINT* v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE* v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HWND v2);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, char* v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, int* v2, int* v3, short v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long* v2, int* v3, short v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, UINT v2, Point2D* v3, Point2D* v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, WORD* v2, int v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, WORD* v2, int v3, short v4);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, UINT v1, WPARAM v2, LPARAM v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, UINT v1, WPARAM v2, char* v3);
int WINAPI intFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WPARAM v1, LPARAM v2);
LPDISPATCH WINAPI LPDISPATCHFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
LPDISPATCH WINAPI LPDISPATCHFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2);
Point2D WINAPI Point2DFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1);
Point2D WINAPI Point2DFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
Point2D WINAPI Point2DFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short v2, short v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short* v2, short v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, char* v2, short* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, HANDLE v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long* v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1, char* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, BYTE* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE v3, char* v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, short v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, double* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, short v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, short* v3, DWORD v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, short v3, short v4, double* v5);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, WORD v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3, short v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HMENU* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, LPDISPATCH v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, DWORD v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, DWORD v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, DWORD v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, char* v4);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, char* v4, short v5);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, short v4, short v5, float v6);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short* v3, short* v4, short* v5, float* v6);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short* v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1, short v2, char* v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1, short v2);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, UINT v1, WPARAM v2, LPARAM v3);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1);
short WINAPI shortFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, EAttr* v3);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, UINT v2);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, UINT v2, char* v3);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, UINT v2, char* v3, char* v4);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, UINT v2, char* v3, char* v4, char* v5);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
UINT WINAPI UINTFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3, long v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, char* v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, Point2D* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, char* v1, short* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, EAttr* v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, HMENU v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, HWND v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, char v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, Point2D* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, RECT v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, RECT* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, long v1, WORD v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, LPDISPATCH v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, lPoint2D v1, short v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, lPoint2D* v1, short v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, Point2D v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, Point2D* v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, Point2D* v1, Point2D* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, Point2D* v1, Point2D* v2, Point2D* v3, Point2D* v4, Point2D* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1, char* v2, char* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short v1, short v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, BOOL v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, BYTE v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, BYTE v3, char* v4, BYTE v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, char* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, char* v4, char* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, char* v4, short v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, long v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, char* v3, long v4, long v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, double v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, int v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, Point2D v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, char* v2, short v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double v2, double v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double v2, double* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double* v2, char* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double* v2, double* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double* v2, double* v3, double* v4, double* v5, double* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, double* v2, Point2D* v3, Point2D* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3, Point2D* v4, Point2D* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, Point2D* v3, Point2D* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, Point2D* v3, Point2D* v4, double v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3, short v4, short v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3, short v4, short v5, Point2D* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, float v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, float* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HCURSOR v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HMENU v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, HWND v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, iPoint2D v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, iPoint2D* v2, iPoint2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, iPoint2D* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3, long v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long v3, long v4, long v5, long v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, long* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, Point2D* v3, double v4, long v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, Point2D* v3, Point2D* v4, long v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, long v2, Point2D* v3, long v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, LPDISPATCH v2, char* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, LPDISPATCH v2, char* v3, vbool v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, PlotStruct* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, double* v3, double* v4, double* v5, double* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, long v3, Point2D* v4, Point2D* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, Point2D* v3, Point2D* v4, double v5, double v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, Point2D* v3, Point2D* v4, Point2D* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, short v3, Point2D* v4, short* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point2D* v2, short* v3, short v4, double v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point3D* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point3D* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, Point3D* v2, Point3D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, PrintStruct* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, BYTE v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, char* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, char* v3, char* v4, char* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, char* v3, short* v4, short* v5, double* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, double v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, double* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, EAttr* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, float v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, long v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, long v3, long v4, long v5, long v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D v3, Point2D v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D v3, Point2D v4, Point2D v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D v3, Point2D v4, Point2D v5, Point2D v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D v3, Point2D v4, Point2D v5, Point2D v6, Point2D v7, Point2D v8, Point2D v9);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3, Point2D* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3, Point2D* v4, Point2D* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3, Point2D* v4, Point2D* v5, Point2D* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3, Point2D* v4, Point2D* v5, Point2D* v6, Point2D* v7, Point2D* v8, Point2D* v9);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point2D* v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point3D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point3D* v3, Point3D* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, Point3D* v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, char* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, char* v4, char* v5, short v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, double v4, short v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, Point2D v4, Point2D v5, BYTE* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, Point2D v4, Point2D v5, char* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, Point2D* v4, Point2D* v5, BYTE* v6);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short v3, short v4, short v5, short v6, double v7, BYTE v8, double v9, short v10);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short* v3, short* v4, short* v5, short* v6, double* v7, BYTE* v8, double* v9, short* v10);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, short* v3, double* v4, short* v5);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short v2, void* v3, short v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short* v2, Point2D* v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, short* v2, short* v3, short* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, UINT v2, UINT v3, Point2D* v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, UINT v2, UINT v3, UINT v4);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, UINT v2, WORD v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, ULONG v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, void* v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, void* v2, short v3);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1, WORD v2);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, UINT v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1);
void WINAPI voidFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, WORD v1, WORD v2);
WORD WINAPI WORDFunction(FARPROC* fp, HMODULE hMod, const char* szFunction);
WORD WINAPI WORDFunction(FARPROC* fp, HMODULE hMod, const char* szFunction, short* v1);